import { StyleSheet, Dimensions } from 'react-native';
import { GlobalTheme } from '../../../theme';
import { normalize } from '../../../utilis/responsive';
const { width, height } = Dimensions.get('window');

export const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: GlobalTheme.colors.primary,
  },
  logoContainer: {
    width: '100%',
  },
  appLogo: {
    height: normalize(170),
    width: '100%',
    resizeMode: 'contain',
  },
  titleContainer: {
    alignSelf: 'center',
    marginBottom: normalize(10),
  },
  titleText: {
    fontSize: normalize(20),
    fontWeight: 'bold',
    color: GlobalTheme.colors.black,
  },
  card: {
    backgroundColor: GlobalTheme.colors.white,
    borderTopLeftRadius: GlobalTheme.borderRadius.xxlg || normalize(20),
    borderTopRightRadius: GlobalTheme.borderRadius.xxlg || normalize(20),
    padding: normalize(20),
    width: width,
    alignSelf: 'center',
    // marginTop: normalize(30),
    shadowColor: '#000',
    shadowOpacity: 0.05,
    shadowOffset: { width: 0, height: 4 },
    shadowRadius: 8,
    elevation: 4,
    flex: 1,
  },
  btnbg: {
    backgroundColor: GlobalTheme.colors.secondary,
    borderRadius: GlobalTheme.borderRadius.md,
    marginTop: normalize(30),
    paddingVertical: normalize(12),
    alignItems: 'center',
  },
  btntext: {
    color: GlobalTheme.colors.white,
    fontSize: normalize(GlobalTheme.typography.fontSize.small),
    fontWeight: GlobalTheme.typography.fontWeight.regular,
  },
  footer: {
    marginTop: normalize(60),
    alignItems: 'center',
  },
  footerImage: {
    width: '100%',
    height: normalize(80),
    resizeMode: 'contain',
    marginTop : normalize(160),
  },
  AuthBottomBG: {
    width: '100%',
    resizeMode: 'contain',
    height: normalize(300),
    justifyContent: 'center',
  },
  loginTitle: {
    color: GlobalTheme.colors.black,
    fontSize: normalize(GlobalTheme.typography.fontSize.large),
    fontWeight: GlobalTheme.typography.fontWeight.medium,
    textAlign: 'center',
    marginBottom: normalize(20),
  },
  mainContainer: {
    flex: 1,
    backgroundColor: '#EAF0FF',
  },
});
